' Get an instance of PingPlotter (This will start PingPlotter if it's not already running)
dim PingPlotter
set PingPlotter = CreateObject("pingplotter.PingPlotter_Engine")

dim I, ListTarget, TargetName

' Iterate the list of currently traced targets and clear the collected data in them
for I = 0 to PingPlotter.TargetCount-1
	set ListTarget = PingPlotter.Targets(I)

  	TargetName = ListTarget.SpecifiedTargetName

	if ListTarget.IsRunning then
		' If it's currently collecting, let's stop it, clear it, then reset
		ListTarget.Stop
		ListTarget.Reset ' Clear the collected data.  Reset also deletes the target's name, though
		ListTarget.TargetDescription = TargetName
		ListTarget.Start
	else
		' If it's not running, then let's just reset it (clear all the data)
		ListTarget.Reset
		ListTarget.TargetDescription = TargetName
	end if
next

  